export declare const TokenMessenger: {
    version: string;
    name: string;
    metadata: {
        address: string;
    };
    instructions: ({
        name: string;
        accounts: {
            name: string;
            isMut: boolean;
            isSigner: boolean;
        }[];
        args: {
            name: string;
            type: {
                defined: string;
            };
        }[];
        returns?: undefined;
    } | {
        name: string;
        accounts: {
            name: string;
            isMut: boolean;
            isSigner: boolean;
        }[];
        args: {
            name: string;
            type: {
                defined: string;
            };
        }[];
        returns: string;
    })[];
    accounts: {
        name: string;
        type: {
            kind: string;
            fields: {
                name: string;
                type: string;
            }[];
        };
    }[];
    types: ({
        name: string;
        type: {
            kind: string;
            fields: {
                name: string;
                type: string;
            }[];
            variants?: undefined;
        };
    } | {
        name: string;
        type: {
            kind: string;
            variants: {
                name: string;
            }[];
            fields?: undefined;
        };
    })[];
    events: {
        name: string;
        fields: {
            name: string;
            type: string;
            index: boolean;
        }[];
    }[];
    errors: {
        code: number;
        name: string;
        msg: string;
    }[];
};
//# sourceMappingURL=tokenMessenger.d.ts.map